#
# spec file for package perl-WWW-YouTube-Download
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-WWW-YouTube-Download
Version:        0.59
Release:        1.1
%define cpan_name WWW-YouTube-Download
Summary:        Very simple YouTube video download interface
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/WWW-YouTube-Download/
Source0:        http://www.cpan.org/authors/id/O/OA/OALDERS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(HTML::Entities)
BuildRequires:  perl(JSON)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(Module::Build::Tiny) >= 0.035
BuildRequires:  perl(Test::More) >= 0.98
BuildRequires:  perl(URI)
BuildRequires:  perl(URI::QueryParam)
BuildRequires:  perl(XML::TreePP)
Requires:       perl(HTML::Entities)
Requires:       perl(JSON)
Requires:       perl(LWP::UserAgent)
Requires:       perl(URI)
Requires:       perl(URI::QueryParam)
Requires:       perl(XML::TreePP)
%{perl_requires}

%description
WWW::YouTube::Download is a library to download videos from YouTube. It
relies entirely on scraping a video's webpage and does not use YT's
/get_video_info URL space.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
%{__perl} Build.PL --installdirs=vendor
./Build build --flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE minil.toml README.md

%changelog
* Fri Jun 24 2016 coolo@suse.com
- updated to 0.59
  see /usr/share/doc/packages/perl-WWW-YouTube-Download/Changes
  0.59 2016-06-23T16:07:09Z
  - Fixed test failures (B. Estrade)
* Thu Jun 18 2015 coolo@suse.com
- updated to 0.58
  see /usr/share/doc/packages/perl-WWW-YouTube-Download/Changes
  0.58 2015-06-17T22:29:38Z
  - Added a user-agent override switch (isync)
* Mon Apr 13 2015 coolo@suse.com
- updated to 0.57
  see /usr/share/doc/packages/perl-WWW-YouTube-Download/Changes
* Mon Apr 13 2015 coolo@suse.com
- updated to 0.36
  see /usr/share/doc/packages/perl-WWW-YouTube-Download/Changes
  0.36    Mon Oct 31 02:45:48 2011
  - fix default filename problem in youtube-download.pl
  0.35    Tue Oct 18 00:28:58 2011
  - fix typo in youtube-playlists.pl (rt:71721)
  0.34    Sat Oct 15 16:14:57 2011
  - workaround for win32
  - fix suffix problem
  0.33    Wed Oct 12 01:17:34 2011
  - added youtube-download.pl and youtube-playlist.pl (request by st3vil++)
  - fix doc
  0.32    Tue Aug 23 01:52:20 2011
  - added LICENSE file (no code change)
  0.31    Tue Aug 23 00:25:02 2011
  - added fmt 38 to .mp4 (mikolaj++)
  0.30    Sun Aug  7 15:25:11 2011
  - cleanup (mikolaj++)
  0.29    Fri Aug  5 01:29:27 2011
  - fixed a problem that did not works, becouse changed YouTube's design. (katsuhito konishi++)
  0.28    Thu Aug  4 00:03:58 2011
  - fixed a problem that did not works, becouse changed YouTube's design. (mikolaj++)
* Sun May 29 2011 pascal.bleser@opensuse.org
- initial version (0.27)
